Skip to content

Create a Tag (Deprecated)
deprecated

Request

Deprecated: Use POST /api/v2/companies/{company_id}/tags instead.

Creates a new tag for the specified location.

Security
BearerPartnerUser
Path
location_idnumberrequired

location ID

Query
titlestringrequired

Name of tag

colorstringrequired

Tag color in #RRGGBB format

entitynumber

Tag type (0 - general tags, 1 - customer tags, 2 - appointment tags)

iconstring

Icon name

Headers
Acceptstringrequired

e.g. application/vnd.api.v2+json

Example:application/vnd.api.v2+json
Content-Typestringrequired

application/json

Authorizationstringrequired

Bearer partner_token, User user_token

curl -i -X POST \
  'https://developer.alteg.io/_mock/en/b2b-v1/openapi/labels/{location_id}?title=string&color=string&entity=0&icon=string' \
  -H 'Accept: application/vnd.api.v2+json' \
  -H 'Authorization: Bearer <YOUR_Bearer {PartnerToken}, User {UserToken}_HERE>' \
  -H 'Content-Type: string'

Responses

OK

Headers
Deprecationstring

RFC 9745 deprecation date as a Unix timestamp: @1782864000 is 2026-07-01T00:00:00Z.

Example:"@1782864000"
Sunsetstring

RFC 8594 date after which the deprecated operation may stop working.

Example:"Mon, 01 Mar 2027 00:00:00 GMT"
Bodyapplication/json
successboolean

Execution success status (true)

Example:true
dataobject

Object with data

Example:
{ "title": "test", "salon_id": 68570, "color": "#00ff11", "entity": 1, "id": 3599560 }
metaArray of objects

Metadata (empty array)

Example:
[]
Response
{ "success": true, "data": { "title": "test", "salon_id": 68570, "color": "#00ff11", "entity": 1, "id": 3599560 }, "meta": [] }